import { Document, Schema, model } from 'mongoose';
import { IWarnings, WarningSchema } from './WarningSchema';

export interface IProfile extends Document {
    external_id: string,
    studentCardNumber: string,
    roomNumber?: string,
    picture: any,
    role: string,
    email?: string,
    name?: string,
    warnings: [IWarnings] | [],
};

const ProfileSchema = new Schema({
    external_id: {type: String, required: true },
    studentCardNumber: {type: String, required: true },
    roomNumber: {type: String},
    picture: {type: String},
    role: {type: String, required: true},
    warnings: [WarningSchema]
});

export default model<IProfile>('News', ProfileSchema);